Page MenuHomePhabricator

Make it possible to tag Huggle edits
Closed, ResolvedPublic

Description

Since this commit, it is possible to tag edits from the API. Provided a custom Huggle tag is made at Special:Tags, it would make it possible to filter edits made by Huggle in recent changes.

Event Timeline

Cenarium created this task.Sep 7 2015, 12:10 AM
Cenarium raised the priority of this task from to Needs Triage.
Cenarium updated the task description. (Show Details)
Cenarium added a project: Huggle.
Cenarium added a subscriber: Cenarium.
Restricted Application added subscribers: Josve05a, Luke081515, Aklapper. · View Herald TranscriptSep 7 2015, 12:10 AM
Petrb added a subscriber: Petrb.Sep 7 2015, 9:56 AM

Please link me to documentation on how to use this for all writing queries we do now. Specifically

action=rollback
action=edit

We do some others as well but they probably don't need any tagging (action=unwatchlist and so on)

There's a new 'tags' param in the edit API, I've added some documentation.
However, the rollback API doesn't have a 'tags' param yet so I guess this will have to wait until it is supported.

Petrb added a comment.Sep 7 2015, 1:58 PM

Since which version of mediawiki is this enabled?

Since which version of mediawiki is this enabled?

1.25

Petrb added a comment.Sep 8 2015, 4:02 PM

Are you sure? That thing was around for quite a while.

Petrb added a comment.Sep 9 2015, 9:21 AM

Last version of mediawiki is 1.25.2 – 2015-08-10 I suppose this feature is released then?

Just for my understanding, are we talking about tags such as in this edit? https://fr.wikipedia.org/w/index.php?title=Freeganisme&diff=prev&oldid=118355568

Petrb added a comment.Sep 9 2015, 12:14 PM

I implemented this and now I am getting

WARNING: API query (edit): Unrecognized value for parameter 'tags': Huggle
TTO added a comment.Sep 9 2015, 12:21 PM

You need to create the tag using Special:Tags on each wiki where it is needed, or ask an administrator to do it for you.

Does the edit still succeed when this warning comes back? I can't remember how I implemented it...

Petrb closed this task as Resolved.Sep 9 2015, 1:16 PM
Petrb claimed this task.

OK, the feature is probably working, given that admin create this tag and insert tag:name_of_tag in /Config

You will see this tag however only for about 50% of edits made by huggle as most of these are rollbacks which don't support it.

Petrb added a comment.Sep 10 2015, 8:22 AM

I still see WARNING: API query (edit): Unrecognized value for parameter 'tags': huggle even when I added the tag to english wikipedia. What is wrong here?

TTO added a comment.Sep 10 2015, 9:36 AM

In Special:Tags in enwiki it says the huggle tag is "Defined by an extension". If you're a sysop there you need to use the interface on Special:Tags to manually create the tag. Otherwise request such an action from a sysop. AbuseFilter tags can only be applied by AbuseFilter, so that won't cut it.

Josve05a reopened this task as Open.Sep 12 2015, 6:09 PM

Please include the tag in the tool itself, instead of using an edit filter.
https://en.wikipedia.org/w/index.php?title=User_talk:Petrb&oldid=680700163#Special:AbuseFilter.2F728

The current huggle tag is "defined by an extension" because it was created through the edit filter. I've created a tag (Huggle as opposed to huggle, see the bottom of Special:Tags) which can be included in the tool, presumably in the same way you were trying before.

Petrb added a comment.Sep 14 2015, 8:12 AM

I think it would be better for consistency if tag was in lowercase as other tags. If it can't be created now as it conflicts with existing one, it should be probably added once the edit filter is disabled. But that shouldn't happen before 3.1.17 is released.

Petrb closed this task as Resolved.Sep 15 2015, 3:24 PM

Why is this task reopened? Huggle already support this feature, whether it's enabled or not on english wikipedia is not relevant here

Petrb renamed this task from Tag Huggle edits to Make it possible to tag Huggle edits.Sep 15 2015, 3:25 PM
Petrb set Security to None.

I like the tag "Huggle" since it's a proper noun. WPCleaner does and AWB would also start with capitals. Keep lower case for things like "generic tool".

Thibaut120094 changed the status of subtask T112393: Tag rollback-edits with the Huggle-tag from Stalled to Open.Jan 4 2016, 7:05 PM
Restricted Application added subscribers: StudiesWorld, Matthewrbowker. · View Herald TranscriptJan 4 2016, 7:05 PM